Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Static Contacts

Update
PATCH /departments/{departmentId}/contacts/{contactId}
https://api.relesysapp.net/api/v1.4/departments/{departmentId}/contacts/{contactId}
Update the static contact with ID contactId in the department with ID departmentId. Accepts a JsonPatch request in the body.

The following fields can be updated: name, title, email, phoneNumber, imageId.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
departmentId string / guid The department's unique identifier required
contactId string / guid The contact's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"John Doe","path":"/name","op":"replace"},{"value":"Store Manager","path":"/title","op":"replace"},{"value":"john.doe@example.com","path":"/email","op":"replace"},{"value":{"countryCode":45,"number":"12345678"},"path":"/phoneNumber","op":"replace"},{"value":"7a66f1f1-2702-4ea5-8d5a-1939a9d15fce","path":"/imageId","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"f62958b5-82b1-4604-a951-60253d7c0271","name":"John Doe","title":"Store Manager","phoneNumber":{"countryCode":45,"number":"12345678"},"email":"john.doe@example.com","image":{"id":"351932b6-aefb-4401-ac96-50b11f69b43d","downloadUrl":null,"referenceUrl":null,"contentType":"image/jpeg","fileName":"profile.jpg"},"sortOrder":0}}
object
  data object      
   email string      
   id string / guid      
   image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   sortOrder integer      
   title string